Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class DefaultArtifactManager

    java.lang.Object
      org.codehaus.griffon.runtime.core.AbstractArtifactManager
          org.codehaus.griffon.runtime.core.DefaultArtifactManager

    public class DefaultArtifactManager
    extends AbstractArtifactManager

Default implementation of `ArtifactManager`.

Authors:
  Andres Almiray

Since:
  0.9.2

Field Summary
`private static org.slf4j.Logger` | `LOG`

Fields inherited from class AbstractArtifactManager
GET_METHOD_PATTERN, IS_METHOD_PATTERN, LOG, PROPERTY_PATTERN, app, artifactHandlers, artifacts, lock

Constructor Summary
`DefaultArtifactManager(GriffonApplication app)`

Method Summary
`protected Map` | `doLoadArtifactMetadata()`
`private void` | `processURL(URL url, ConfigSlurper slurper, Map artifacts)`

Methods inherited from class AbstractArtifactManager
doLoadArtifactMetadata, findGriffonClass, findGriffonClass, findGriffonClass, findGriffonClass, findGriffonClass, getAllClasses, getApp, getArtifactHandlers, getArtifacts, getClassesOfType, isClassOfType, loadArtifactMetadata, methodMissing, propertyMissing, registerArtifactHandler, unregisterArtifactHandler

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### LOG

    private static final org.slf4j.Logger LOG

Constructor Detail

### DefaultArtifactManager

    public DefaultArtifactManager(GriffonApplication app)

Method Detail

### doLoadArtifactMetadata

    protected Map doLoadArtifactMetadata()

### processURL

    private void processURL(URL url, ConfigSlurper slurper, Map artifacts)

Groovy Documentation